aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorchriseth <c@ethdev.com>2016-08-01 21:33:01 +0800
committerchriseth <c@ethdev.com>2016-08-01 22:49:19 +0800
commit82d113680c47b7916d2d8fb7c9b94d0370777c85 (patch)
tree0f79bbde2240046a93ff7de2b02746aaa7789724
parent08c6a4e7ba330b02f394224cf1593f96db6be554 (diff)
downloaddexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.tar.gz
dexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.tar.zst
dexon-solidity-82d113680c47b7916d2d8fb7c9b94d0370777c85.zip
Run the tests only three times.
-rw-r--r--.travis.yml10
-rwxr-xr-xscripts/tests.sh8
2 files changed, 8 insertions, 10 deletions
diff --git a/.travis.yml b/.travis.yml
index 87932e8d..b723f81c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -82,15 +82,9 @@ before_script:
&& ./scripts/release.sh $ZIP_SUFFIX
script:
# There are a variety of reliability issues with the Solidity unit-tests at the time of
- # writing, so we're actually running them 5 times in a row, to try to flush all of these
+ # writing, so we're actually running them 3 times in a row, to try to flush all of these
# issues out as quickly as possible. See https://github.com/ethereum/solidity/issues/769
- - cd $TRAVIS_BUILD_DIR && ./scripts/tests.sh
- - cd $TRAVIS_BUILD_DIR && ./scripts/tests.sh
- - cd $TRAVIS_BUILD_DIR && ./scripts/tests.sh
- - cd $TRAVIS_BUILD_DIR && ./scripts/tests.sh
- - cd $TRAVIS_BUILD_DIR && ./scripts/tests.sh
-after_success:
- - cd $TRAVIS_BUILD_DIR && ./scripts/docs.sh
+ - cd $TRAVIS_BUILD_DIR && (./scripts/tests.sh || ./scripts/tests.sh || ./scripts/tests.sh)
env:
global:
- ENCRYPTION_LABEL="296c219a3f41"
diff --git a/scripts/tests.sh b/scripts/tests.sh
index c342c65f..6ee816b0 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -26,6 +26,8 @@
# (c) 2016 solidity contributors.
#------------------------------------------------------------------------------
+set -e
+
# There is an implicit assumption here that we HAVE to run from root directory.
REPO_ROOT=$(pwd)
@@ -59,7 +61,9 @@ while [ ! -S /tmp/test/geth.ipc ]; do sleep 2; done
# need to check if this command-line support works for Windows too, when we
# have implemented IPC Sockets support at all for Windows.
export ETH_TEST_IPC=/tmp/test/geth.ipc
-$REPO_ROOT/build/test/soltest
+"$REPO_ROOT"/build/test/soltest
ERROR_CODE=$?
-pkill eth
+pkill eth || true
+sleep 4
+pgrep eth && pkill -9 eth || true
exit $ERROR_CODE